import { ValidationPredicate } from "./types";
export declare const createValidator: <T>(predicate: ValidationPredicate<T>, message: string) => (value: T) => import("../../../Code/validation/src/results/validation-result").ValidationResult;
export declare const createValidatorFactory: <T>(predicate: (value: T) => boolean, defaultMessage: string) => (message?: string | undefined) => (value: T) => import("../../../Code/validation/src/results/validation-result").ValidationResult;
export declare const createAsyncValidator: <T>(predicate: (value: T) => Promise<boolean>, message: string) => (value: T) => Promise<import("../../../Code/validation/src/results/validation-result").ValidationResult>;
export declare const createAsyncValidatorFactory: <T>(predicate: (value: T) => Promise<boolean>, defaultMessage: string) => (message?: string | undefined) => (value: T) => Promise<import("../../../Code/validation/src/results/validation-result").ValidationResult>;
