import { ValidationResult, Result } from "./results/";
import { ValidationOptions } from "./options";
import { ValidationPredicate, SyncValidationFunction, AsyncValidationFunction, ValidateFunction, ValidationFunction } from "./types";
import { createValidator, createValidatorFactory, createAsyncValidator, createAsyncValidatorFactory } from "./create-validator";
import { createRegexValidator } from "./create-regex-validator";
import * as messages from "./messages";
import * as validators from "./validators";
declare const validate: ValidateFunction;
export { Result, ValidationPredicate, AsyncValidationFunction, SyncValidationFunction, ValidationFunction, ValidationOptions, ValidateFunction, validate, ValidationResult, createValidator, createValidatorFactory, createAsyncValidator, createAsyncValidatorFactory, createRegexValidator, messages, validators };
